Package org.gitana.platform.client.job

# Interface Job

All Superinterfaces:
  `ClusterDocument`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Serializable`, `TitleDescription`, `TypedID`

All Known Implementing Classes:
  `CopyJob`, `JobImpl`, `TransferExportJob`, `TransferImportJob`

public interface Job extends ClusterDocument

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ATTEMPTS`
`static final String`
`FIELD_CURRENT_SERVER`
`static final String`
`FIELD_CURRENT_SERVER_TIMESTAMP`
`static final String`
`FIELD_CURRENT_THREAD`
`static final String`
`FIELD_LOG_ENTRIES`
`static final String`
`FIELD_PAUSED`
`static final String`
`FIELD_PAUSED_BY`
`static final String`
`FIELD_PAUSED_TIMESTAMP`
`static final String`
`FIELD_PLATFORM_ID`
`static final String`
`FIELD_PRIORITY`
`static final String`
`FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID`
`static final String`
`FIELD_RUN_AS_PRINCIPAL_ID`
`static final String`
`FIELD_SCHEDULE_START_MS`
`static final String`
`FIELD_STARTED`
`static final String`
`FIELD_STARTED_TIMESTAMP`
`static final String`
`FIELD_STATE`
`static final String`
`FIELD_STOPPED`
`static final String`
`FIELD_STOPPED_TIMESTAMP`
`static final String`
`FIELD_SUBMITTED_BY`
`static final String`
`FIELD_SUBMITTED_TIMESTAMP`
`static final String`
`FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAttempts()`
`String`
`getCurrentServerId()`
`long`
`getCurrentServerTimestamp()`
`String`
`getCurrentThreadId()`
`boolean`
`getError()`
`List<JobLogEntry>`
`getLogEntries()`
`boolean`
`getPaused()`
`String`
`getPausedBy()`
`Calendar`
`getPausedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getPausedTimestamp()`
`String`
`getPlatformId()`
`int`
`getPriority()`
`String`
`getRunAsPrincipalDomainId()`
`String`
`getRunAsPrincipalId()`
`long`
`getScheduleStart()`
`boolean`
`getStarted()`
`Calendar`
`getStartedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getStartedTimestamp()`
`org.gitana.platform.services.job.JobState`
`getState()`
`boolean`
`getStopped()`
`Calendar`
`getStoppedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getStoppedTimestamp()`
`String`
`getSubmittedBy()`
`Calendar`
`getSubmittedTime()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSubmittedTimestamp()`
`boolean`
`getSuccess()`
`String`
`getType()`
`void`
`setAttempts(int attempts)`
`void`
`setCurrentServerId(String currentServerId)`
`void`
`setCurrentServerTimestamp(long currentServerTimestamp)`
`void`
`setCurrentThreadId(String currentThreadId)`
`void`
`setPlatformId(String platformId)`
`void`
`setPriority(int priority)`
`void`
`setScheduleStart(long ms)`
`void`
`setState(org.gitana.platform.services.job.JobState state)`
`void`
`waitForCompletion()`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDocument

`getCluster, getClusterId`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_TYPE

static final String FIELD_TYPE

See Also:
  - Constant Field Values

### FIELD_RUN_AS_PRINCIPAL_ID

static final String FIELD_RUN_AS_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID

static final String FIELD_RUN_AS_PRINCIPAL_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_STATE

static final String FIELD_STATE

See Also:
  - Constant Field Values

### FIELD_PLATFORM_ID

static final String FIELD_PLATFORM_ID

See Also:
  - Constant Field Values

### FIELD_PRIORITY

static final String FIELD_PRIORITY

See Also:
  - Constant Field Values

### FIELD_ATTEMPTS

static final String FIELD_ATTEMPTS

See Also:
  - Constant Field Values

### FIELD_SCHEDULE_START_MS

static final String FIELD_SCHEDULE_START_MS

See Also:
  - Constant Field Values

### FIELD_LOG_ENTRIES

static final String FIELD_LOG_ENTRIES

See Also:
  - Constant Field Values

### FIELD_CURRENT_THREAD

static final String FIELD_CURRENT_THREAD

See Also:
  - Constant Field Values

### FIELD_CURRENT_SERVER

static final String FIELD_CURRENT_SERVER

See Also:
  - Constant Field Values

### FIELD_CURRENT_SERVER_TIMESTAMP

static final String FIELD_CURRENT_SERVER_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_SUBMITTED_BY

static final String FIELD_SUBMITTED_BY

See Also:
  - Constant Field Values

### FIELD_SUBMITTED_TIMESTAMP

static final String FIELD_SUBMITTED_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_STARTED

static final String FIELD_STARTED

See Also:
  - Constant Field Values

### FIELD_STARTED_TIMESTAMP

static final String FIELD_STARTED_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_STOPPED

static final String FIELD_STOPPED

See Also:
  - Constant Field Values

### FIELD_STOPPED_TIMESTAMP

static final String FIELD_STOPPED_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_PAUSED

static final String FIELD_PAUSED

See Also:
  - Constant Field Values

### FIELD_PAUSED_BY

static final String FIELD_PAUSED_BY

See Also:
  - Constant Field Values

### FIELD_PAUSED_TIMESTAMP

static final String FIELD_PAUSED_TIMESTAMP

See Also:
  - Constant Field Values

## Method Details

### getType

String getType()

### getRunAsPrincipalId

String getRunAsPrincipalId()

### getRunAsPrincipalDomainId

String getRunAsPrincipalDomainId()

### getSubmittedBy

String getSubmittedBy()

### getSubmittedTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getSubmittedTimestamp()

### getSubmittedTime

Calendar getSubmittedTime()

### getStarted

boolean getStarted()

### getStartedTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getStartedTimestamp()

### getStartedTime

Calendar getStartedTime()

### getStopped

boolean getStopped()

### getStoppedTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getStoppedTimestamp()

### getStoppedTime

Calendar getStoppedTime()

### getPaused

boolean getPaused()

### getPausedBy

String getPausedBy()

### getPausedTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getPausedTimestamp()

### getPausedTime

Calendar getPausedTime()

### getLogEntries

List<JobLogEntry> getLogEntries()

### getPriority

int getPriority()

### setPriority

void setPriority(int priority)

### setCurrentThreadId

void setCurrentThreadId(String currentThreadId)

### getCurrentThreadId

String getCurrentThreadId()

### setCurrentServerId

void setCurrentServerId(String currentServerId)

### getCurrentServerId

String getCurrentServerId()

### setCurrentServerTimestamp

void setCurrentServerTimestamp(long currentServerTimestamp)

### getCurrentServerTimestamp

long getCurrentServerTimestamp()

### setScheduleStart

void setScheduleStart(long ms)

### getScheduleStart

long getScheduleStart()

### getAttempts

int getAttempts()

### setAttempts

void setAttempts(int attempts)

### getState

org.gitana.platform.services.job.JobState getState()

### setState

void setState(org.gitana.platform.services.job.JobState state)

### getPlatformId

String getPlatformId()

### setPlatformId

void setPlatformId(String platformId)

### getSuccess

boolean getSuccess()

### getError

boolean getError()

### waitForCompletion

void waitForCompletion()